Find by ID
curl --request GET \
--url https://api.themoviedb.org/3/find/{external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/find/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/find/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"movie_results": [
{
"adult": false,
"backdrop_path": "/cjEcqdRdPQJhYre3HUAc5538Gk8.jpg",
"genre_ids": [
28,
14,
35
],
"id": 845781,
"media_type": "movie",
"original_language": "en",
"original_title": "Red One",
"overview": "After Santa Claus (codename: Red One) is kidnapped, the North Pole's Head of Security must team up with the world's most infamous tracker in a globe-trotting, action-packed mission to save Christmas.",
"popularity": 896.528,
"poster_path": "/cdqLnri3NEGcmfnqwk2TSIYtddg.jpg",
"release_date": "2024-10-31",
"title": "Red One",
"video": false,
"vote_average": 7.109,
"vote_count": 2127
}
],
"person_results": [],
"tv_episode_results": [],
"tv_results": [],
"tv_season_results": []
}Find by ID
This endpoint find data by external ID’s.
GET
/
3
/
find
/
{external_id}
Find by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"redonemov"
Query Parameters
Available options:
imdb_id, facebook_id, instagram_id, tvdb_id, tiktok_id, twitter_id, wikidata_id, youtube_id Example:
"en-US"
Response
200 - application/json
Find by ID
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/cjEcqdRdPQJhYre3HUAc5538Gk8.jpg",
"genre_ids": [28, 14, 35],
"id": 845781,
"media_type": "movie",
"original_language": "en",
"original_title": "Red One",
"overview": "After Santa Claus (codename: Red One) is kidnapped, the North Pole's Head of Security must team up with the world's most infamous tracker in a globe-trotting, action-packed mission to save Christmas.",
"popularity": 896.528,
"poster_path": "/cdqLnri3NEGcmfnqwk2TSIYtddg.jpg",
"release_date": "2024-10-31",
"title": "Red One",
"video": false,
"vote_average": 7.109,
"vote_count": 2127
}
]
Example:
[]
Example:
[]
Example:
[]
Example:
[]
⌘I